Subject: Re: bug#56345: 29.0.50; [PATCH] Add column hiding to tabulated-list

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 07 Sep 2022 14:41:24 +0200

Michael Heerdegen <[email-masked]> writes:

> The "why" is clear (to me), but not so much the "how".  `proced' and
> `ibuffer' for example (currently not based on tabulated-list, but they
> are also table view modes) allow to define and switch between certain
> views, but don't offer commands to explicitly select and delete columns.
>
> So the general idea (ability to leave columns out of the table) is
> surely useful, but which interface should be provided to get this is
> another question.

I don't understand what you mean here.  That two modes that don't use
tabulated-list don't offer this functionality seems somewhat irrelevant?